As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 414541 - Wrong "last comment" date for discussions
: Wrong "last comment" date for discussions
Status: VERIFIED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Fred Wenzel [:wenzel]
:
:
Mentors:
https://addons.mozilla.org/en-US/fire...
: 414592 416262 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 04:13 PST by John P Baker
Modified: 2016-02-04 14:51 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fixing sanitization of discussion dates (558 bytes, patch)
2008-02-01 09:53 PST, Fred Wenzel [:wenzel]
laura: review+
Details | Diff | Splinter Review

Description User image John P Baker 2008-01-29 04:13:42 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9b3pre) Gecko/2008012804 Minefield/3.0b3pre
Build Identifier: 

The discussions section on Add-ons pages are showing December 31, 1969

Reproducible: Always

Steps to Reproduce:
1. Go to https://addons.mozilla.org/en-US/firefox/addon/3810
2. Look at 'Discussions'
Actual Results:  
Compatible w/3.0b2?
last comment by zarchasmpgmr, December 31, 1969
One comment total

...
Comment 1 User image Wil Clouser [:clouserw] 2008-01-29 09:27:34 PST
*** Bug 414592 has been marked as a duplicate of this bug. ***
Comment 2 User image Dave Garrett 2008-02-01 05:45:15 PST
Note that the dates are correct within the discussions, just not in the short list at the bottom of the extension's page.

Seeing as this bug affects ALL extensions on AMO, someone really needs to fix this ASAP.  I'm kinda surprised that whomever broke it didn't even seem to notice.  :/
Comment 3 User image Fred Wenzel [:wenzel] 2008-02-01 09:53:46 PST
Created attachment 300885 [details] [diff] [review]
Fixing sanitization of discussion dates

This should fix it, by excluding the date strings from HTML sanitization. Laura, please review.
Comment 4 User image Laura Thomson :laura 2008-02-01 09:57:42 PST
Comment on attachment 300885 [details] [diff] [review]
Fixing sanitization of discussion dates

Good,  let's get this out ASAP.
Comment 5 User image Fred Wenzel [:wenzel] 2008-02-01 10:32:39 PST
Okay, it's in SVN r9919, marking FIXED and push-needed.
Comment 6 User image Fred Wenzel [:wenzel] 2008-02-08 07:54:31 PST
*** Bug 416262 has been marked as a duplicate of this bug. ***
Comment 7 User image Justin Scott [:fligtar] 2008-02-14 16:34:44 PST
This is live.

Note You need to log in before you can comment on or make changes to this bug.